Inhalte
Index 🔎︎

# Funktion Choose

Gibt aus einer Argumentliste den gewählten Wert zurück.

## Syntax:

    Choose (Index, Auswahl1[, Auswahl2, … [,Auswahl_n]])

## Parameter:

Index: Ein numerischer Ausdruck, der den zurückzugebenden Wert angibt.

Auswahl1: Ein beliebiger Ausdruck, der eine der Auswahlmöglichkeiten enthält.

Die Funktion Choose gibt anhand des Indexwertes einen Wert aus der Liste der Ausdrücke zurück. Bei Index = 1 gibt die Funktion den ersten Ausdruck aus der Liste zurück, bei Index = 2 den zweiten und so weiter.

Die Funktion gibt Null zurück, wenn Index kleiner als 1 oder größer als die Anzahl der aufgeführten Auswahlmöglichkeiten ist.

Im folgenden Beispiel wird die Funktion Choose verwendet, um aus mehreren Zeichenketten eines Menüs eine Zeichenkette auszuwählen:

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleChoose
    Dim sReturn As String
        sReturn = ChooseMenu(2)
        Print sReturn
    End Sub

    Function ChooseMenu(Index As Integer)
        ChooseMenu = Choose(Index, "Quick-Format", "Save-Format", "System-Format")
    End Function